Loading...
Searching...
No Matches
form_lazy_transpose< Expr >

## Detailed Description

template<class Expr>
class rheolef::details::form_lazy_transpose< Expr >

Definition at line 435 of file form_lazy_expr.h.

Inheritance diagram for form_lazy_transpose< Expr >:

## Public Types

using | base = form_lazy_base<form_lazy_transpose<Expr>>
using | size_type = geo_element::size_type
using | memory_type = typename Expr::memory_type
using | scalar_type = typename Expr::scalar_type
using | space_type = typename Expr::space_type
using | geo_type = typename Expr::geo_type
using | float_type = typename float_traits<scalar_type>::type
using | band_type = band_basic<float_type,memory_type>
using | matrix_element_type = Eigen::Matrix<scalar_type,Eigen::Dynamic,Eigen::Dynamic>

## Public Member Functions

| form_lazy_transpose (const Expr &expr)
const geo_type & | get_geo () const
const space_type & | get_trial_space () const
const space_type & | get_test_space () const
bool | is_on_band () const
band_type | get_band () const
void | initialize (const geo_type &omega_K)
bool | is_diagonal () const
void | evaluate (const geo_type &omega_K, const geo_element &K, matrix_element_type &ak) const
Public Member Functions inherited from form_lazy_base< form_lazy_transpose< Expr > >
std::enable_if< details::is_field_lazy< FieldExpr >::value, field_lazy_trans_mult_form< form_lazy_transpose< Expr >, FieldExpr > >::type | trans_mult (const FieldExpr &u_expr) const
field_lazy_trans_mult_form< form_lazy_transpose< Expr >, field_lazy_terminal_field< T, M > > | trans_mult (const field_basic< T, M > &uh) const

## Protected Attributes

Expr | _expr

## Additional Inherited Members

Protected Member Functions inherited from form_lazy_base< form_lazy_transpose< Expr > >
form_lazy_transpose< Expr > & | derived ()
const form_lazy_transpose< Expr > & | derived () const

## Member Typedef Documentation

## base

template<class Expr>

using base = form_lazy_base<form_lazy_transpose<Expr>>

Definition at line 439 of file form_lazy_expr.h.

## size_type

template<class Expr>

using size_type = geo_element::size_type

Definition at line 440 of file form_lazy_expr.h.

## memory_type

template<class Expr>

using memory_type = typename Expr::memory_type

Definition at line 441 of file form_lazy_expr.h.

## scalar_type

template<class Expr>

using scalar_type = typename Expr::scalar_type

Definition at line 442 of file form_lazy_expr.h.

## space_type

template<class Expr>

using space_type = typename Expr::space_type

Definition at line 443 of file form_lazy_expr.h.

## geo_type

template<class Expr>

using geo_type = typename Expr::geo_type

Definition at line 444 of file form_lazy_expr.h.

## float_type

template<class Expr>

using float_type = typename float_traits<scalar_type>::type

Definition at line 445 of file form_lazy_expr.h.

## band_type

template<class Expr>

using band_type = band_basic<float_type,memory_type>

Definition at line 446 of file form_lazy_expr.h.

## matrix_element_type

template<class Expr>

using matrix_element_type = Eigen::Matrix<scalar_type,Eigen::Dynamic,Eigen::Dynamic>

Definition at line 447 of file form_lazy_expr.h.

## Constructor & Destructor Documentation

## form_lazy_transpose()

template<class Expr>

form_lazy_transpose | ( | const Expr & | expr | ) |

Definition at line 451 of file form_lazy_expr.h.

## Member Function Documentation

## get_geo()

template<class Expr>

const geo_type & get_geo | ( |  | ) | const

Definition at line 458 of file form_lazy_expr.h.

## get_trial_space()

template<class Expr>

const space_type & get_trial_space | ( |  | ) | const

Definition at line 459 of file form_lazy_expr.h.

## get_test_space()

template<class Expr>

const space_type & get_test_space | ( |  | ) | const

Definition at line 460 of file form_lazy_expr.h.

## is_on_band()

template<class Expr>

bool is_on_band | ( |  | ) | const

Definition at line 461 of file form_lazy_expr.h.

## get_band()

template<class Expr>

band_type get_band | ( |  | ) | const

Definition at line 462 of file form_lazy_expr.h.

## initialize()

template<class Expr>

void initialize | ( | const geo_type & | omega_K | ) |

Definition at line 464 of file form_lazy_expr.h.

## is_diagonal()

template<class Expr>

bool is_diagonal | ( |  | ) | const

Definition at line 465 of file form_lazy_expr.h.

## evaluate()

template<class Expr>

void evaluate | ( | const geo_type & | omega_K,
|  | const geo_element & | K,
|  | matrix_element_type & | ak ) const

Definition at line 481 of file form_lazy_expr.h.

## Member Data Documentation

## _expr

template<class Expr>

Expr _expr

protected

Definition at line 473 of file form_lazy_expr.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/form_lazy_expr.h